#' NeweyWestvcov
#'
#' This function creates newey-west errors.
#' @param x A numeric or matrix of residuals.
#' @param lag Number of lags to use in computation.
#' @keywords Panel data
#' @export
#' @examples
#' NeweyWestvcov(res, 3)
#'
#'
NeweyWestvcov <- function(x, lag){

  x <- as.matrix(x)

  # n <- 1
  # t <- length(x)
  t <- dim(x)[1]
  n <- dim(x)[2]

  # xom <- t(x)  %*% x /t
  xom <- crossprod(x)/t
  # xomm <- matrix(0, nrow = t, ncol = n)

  for(i in 1:lag){
    temp11 <- t(x[c((1+i):(t-1)),]) %*% x[1:(t-1-i),]
    if(i == 1){
      xomm <- (1 - (i/(lag + 1))) * (temp11/t)
    } else {
      xomm <- (1 - (i/(lag + 1))) * (temp11/t) + xomm
    }

  }
  xom <- xom + 2 * xomm
  return(xom)
}
