#' defactor
#'
#' This function that defactors a panel.
#' @param x_mat A matrix that contains the factors.
#' @param y_mat A matrix of the variable to be defactored.
#' @keywords Panel data
#' @export
#' @examples
#' defactor(as.matrix(xx), as.matrix(x1))
#'
#'
defactor <- function(y_mat, x_mat){
  y_mat <- as.matrix(y_mat)
  x_mat <- as.matrix(x_mat)

  xtx1 <- solve(crossprod(x_mat, x_mat))

  b_mat <- x_mat %*% xtx1 %*% t(x_mat) %*% y_mat
  yhat <- y_mat - b_mat
  return(yhat)
}
