#' stand_mat
#'
#' This function standardizes a matrix of panel data.
#' @param mat A matrix that contains data to be standardized.
#' @keywords Panel data
#' @export
#' @examples
#' stand_mat(rs)
#'
#'
stand_mat <- function(mat){
  sdmat <- matrix(apply(mat, 2, sd), ncol = ncol(mat), nrow = 1)
  matss <- matrix(rep(sdmat, nrow(mat)), ncol = ncol(mat), nrow = nrow(mat), byrow = TRUE)
  matout <- mat/matss
  return(matout)
}
